## mautrix-python 0.20.7

=== requirements.txt ===
aiohttp
attrs
yarl

=== docs/requirements.txt ===
sphinx
sphinx-rtd-theme

# requirements.txt
aiohttp
attrs
yarl
# This is most of optional-requirements.txt, except some things like uvloop
# that aren't used for anything that's in the docs
python-magic
ruamel.yaml
SQLAlchemy
commonmark
asyncpg
aiosqlite
prometheus_client
python-olm
unpaddedbase64
pycryptodome

## mautrix-python 0.20.4

=== debian/changelog ===
mautrix-python (0.20.4-2) unstable; urgency=medium

  * No-change source-only rebuild
  * Address open RFP (Closes: #971601)

 -- Matthias Klumpp <mak@debian.org>  Mon, 12 Feb 2024 23:50:34 +0100

mautrix-python (0.20.4-1) unstable; urgency=medium

  * Initial release.

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Jan 2024 12:22:11 +0100

=== debian/control ===
Source: mautrix-python
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-aiohttp,
               python3-aiosqlite,
               python3-all,
               python3-asyncpg,
               python3-attr,
               python3-magic,
               python3-olm,
               python3-pycryptodome,
               python3-pytest,
               python3-pytest-asyncio,
               python3-recommonmark,
               python3-ruamel.yaml,
               python3-setuptools,
               python3-sqlalchemy,
               python3-unpaddedbase64,
               python3-yarl
Standards-Version: 4.6.2
Homepage: https://docs.mau.fi/python/latest/
Vcs-Git: https://salsa.debian.org/python-team/packages/mautrix-python.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mautrix-python
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-mautrix
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Matrix client framework for Python using asyncio
 Mautrix allows connecting to servers using the Matrix
 communication framework via an intuitive Python interface.
 It contains the following components:
   * Basic HTTP request sender
   * Client API endpoints as functions
   * Medium-level application service framework
   * Medium-level end-to-end encryption framework
   * High-level bridging utility framework
   * High-level client framework
   * Utilities
 .
 It can be used to write Matrix bots, Matrix clients or
 Matrix bridges.

## mautrix-python 0.20.7

=== debian/changelog ===
mautrix-python (0.20.7-1) unstable; urgency=medium

  [ Geovanna Maciel ]
  * New upstream version 0.20.6
  * Bump Standards-Version, no changes.

  [ Matthias Klumpp ]
  * New upstream version 0.20.7
  * Bump Standards-Version, no changes needed.

 -- Matthias Klumpp <mak@debian.org>  Mon, 14 Apr 2025 22:02:32 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-sqlalchemy,
                python3-unpaddedbase64,
                python3-yarl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://docs.mau.fi/python/latest/
 Vcs-Git: https://salsa.debian.org/python-team/packages/mautrix-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mautrix-python

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mautrix

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	python3 -m pytest
endif

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mautrix-python-$1\.tar\.gz/ \
    https://github.com/mautrix/python/tags .*/v?(\d\S*)\.tar\.gz
